Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution
Class JavolutionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              javolution.JavolutionError

All Implemented Interfaces:
  java.io.Serializable

    public final class JavolutionError

extends java.lang.Error

Signals that a serious problem (bug ?!) has been detected within the library.

Version:
  1.0, September 14, 2004
Author:
  Jean-Marie Dautelle
See Also:
  Serialized Form

Constructor Summary
`JavolutionError(java.lang.String message)` Creates an error message with the specified message and cause.
`JavolutionError(java.lang.String message, java.lang.Throwable cause)` Creates an error message with the specified message and cause.
`JavolutionError(java.lang.Throwable cause)` Creates an error message with the specified cause The cause stack trace is printed to the current error stream (System.err).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavolutionError

    public JavolutionError(java.lang.String message)

  Creates an error message with the specified message and cause.

  Parameters:
    `message` - the detail message.

### JavolutionError

    public JavolutionError(java.lang.String message,
                           java.lang.Throwable cause)

  Creates an error message with the specified message and cause. The cause stack trace is printed to the current error stream (System.err).

  Parameters:
    `message` - the detailed message.
    `cause` - the cause of this error.

### JavolutionError

    public JavolutionError(java.lang.Throwable cause)

  Creates an error message with the specified cause The cause stack trace is printed to the current error stream (System.err).

  Parameters:
    `cause` - the cause of this error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.